Skip to main content
POST
/
v1
/
admin
/
products
/
product-types
Create a product type
curl --request POST \
  --url https://{operatorDomain}/v1/admin/products/product-types \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "<string>",
  "name": "<string>",
  "slug": "<string>",
  "parentId": "<string>",
  "sortOrder": 123
}
'
{
  "data": {
    "id": "<string>",
    "name": "<string>",
    "description": "<string>",
    "slug": "<string>",
    "shortDescription": "<string>",
    "bookingMode": "<string>",
    "capacityMode": "<string>",
    "visibility": "<string>",
    "sellCurrency": "<string>",
    "sellAmountCents": 123,
    "startDate": "<string>",
    "endDate": "<string>",
    "pax": 123,
    "isFeatured": true
  }
}

Authorizations

Authorization
string
header
required

Staff session or API token issued by your Voyant app.

Body

application/json
id
string
name
string
slug
string | null
parentId
string | null
sortOrder
integer | null

Response

201 - application/json

Created product type

data
object